Package org.apache.lucene.misc.search

# Class DocValuesStatsCollector

java.lang.Object
org.apache.lucene.misc.search.DocValuesStatsCollector

All Implemented Interfaces:
  `Collector`

public class DocValuesStatsCollector extends Object implements Collector
A `Collector` which computes statistics for a DocValues field.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocValuesStatsCollector(DocValuesStats<?> stats)`
  Creates a collector to compute statistics for a DocValues field using the given `stats`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LeafCollector`
  `getLeafCollector(LeafReaderContext context)`
  `ScoreMode`
  `scoreMode()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.search.Collector

  `setWeight`

- ## Constructor Details

  - ### DocValuesStatsCollector

    public DocValuesStatsCollector(DocValuesStats<?> stats)
    Creates a collector to compute statistics for a DocValues field using the given `stats`.

- ## Method Details

  - ### getLeafCollector

    public LeafCollector getLeafCollector(LeafReaderContext context) throws IOException
    Specified by:
      `getLeafCollector` in interface `Collector`
    Throws:
      `IOException`

  - ### scoreMode

    public ScoreMode scoreMode()
    Specified by:
      `scoreMode` in interface `Collector`